Instabil csomagok installálása fink-kel

Először is, miért van erre szükség? Nekem azért, mert a QCad (2D-s cad program, dxf import-exporttal) 2-es verziója fizetős, de a forrás szabadon letölthető. Azzal viszont egyelőre nem tudok mit kezdeni, ellenben a fink-en fenn van, de "unstable" verzióban, és azokat alapból nem tölti le a fink. Hogy mit jelent az unstable? "Packages in the unstable tree usually have not been tested by more than one person. For that reason, Fink doesn't search the unstable tree by default." (Idézet a fink faq-ból.)
Mindegy, kalandra fel: amit tenni kell, az nem más, mint a fink konfigurációs file-jához hozzáadni az instabil csomagok elérési útját. Ezt én a pico szerkesztővel tettem meg, a következő módon:
-terminalba begépeled, hogy sudo pico /sw/etc/fink.conf, majd beütöd a jelszavadat. A pico erre megnyitja szerkesztésre a file-t
-a Trees: sorhoz add hozzá, hogy unstable/main és unstable/crypto. Vigyázzunk, mert a pico automatikusan át akarja majd tördelni, de ne hagyjuk neki, ennek egy sorban kell lennie!
-ctrl-o-val elmented a file-t, ctrl-x-szel kilépsz a pico-ból
Most le kell futtatni a fink selfupdate és a fink index parancsot, és kész is: elvileg kereshetünk-letölthetünk instabil csomagokat. De csínján!

Még a végére annyit, hogy nemrég jött ki az új fink, így az upgrade és az összes csomag frisítése nekem kb. 13 órán át tartott. Közben be kellett állítani azt is, hogy az alapéretelmezett fordító a 3.3-as gcc: ez annyi volt, hogy installálás közben kidobott egy hibaüzenetet, és azt, hogy mit gépeljek be, hogy ne a 2.8-as, hanem a 3.3-as gcc-t keresse. Nem emlékszem rá sajnos, oda kell figyelni.

A QCad installálása nem ment az apt-get-tel, azt írta, hogy nincs ilyen csomag, pedig a honlap tanúsága szerint van, ígyhát megpróbálkoztam a forrásból való installálással:
-begépeled, hogy fink list, erre kiírja a csomagok listáját
-megnézed, ott van-e, amit keresel, ha többet is akarsz tudni róla, begépeled, hogy fink describe aprogramneve
-ha már tudod, mit akarsz, akkor fink install aprogramneve.
Ennyi.